Bug 19946 - Update popup window templates to use Bootstrap grid: Authority Z39.50 search
Summary: Update popup window templates to use Bootstrap grid: Authority Z39.50 search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19931
  Show dependency treegraph
 
Reported: 2018-01-10 16:09 UTC by Owen Leonard
Modified: 2018-04-23 22:51 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19946: Update popup window templates to use Bootstrap grid: Authority Z39.50 search (13.48 KB, patch)
2018-01-10 16:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19946: Update popup window templates to use Bootstrap grid: Authority Z39.50 search (13.61 KB, patch)
2018-01-18 21:01 UTC, Te Rauhina Jackson
Details | Diff | Splinter Review
Bug 19946: Update popup window templates to use Bootstrap grid: Authority Z39.50 search (13.67 KB, patch)
2018-02-04 15:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19946: (Follow-up) Add fixed footer to authorities Z39.50 popup (3.30 KB, patch)
2018-02-09 13:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19946: (Follow-up) Add fixed footer to authorities Z39.50 popup (3.50 KB, patch)
2018-03-26 00:19 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 19946: Update popup window templates to use Bootstrap grid: Authority Z39.50 search (13.68 KB, patch)
2018-03-26 05:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19946: (Follow-up) Add fixed footer to authorities Z39.50 popup (3.56 KB, patch)
2018-03-26 05:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-10 16:09:14 UTC
This bug falls under the omnibus Bug 19931, "Update popup window templates to use Bootstrap grid." Updated in this patch will be z3950_auth_search.tt, the template for Z39.50 searches from the authorities interface.
Comment 1 Owen Leonard 2018-01-10 16:31:01 UTC
Created attachment 70411 [details] [review]
Bug 19946: Update popup window templates to use Bootstrap grid: Authority Z39.50 search

This patch updates the authority Z39.50 search template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Some capitalization corrections, better <title>
handling. This patch does not fix Bug 17119.

To test, apply the patch and go to Authorities -> New from Z39.50.
In the popup window, both the search form and search results pages
should look correct.
Comment 2 Te Rauhina Jackson 2018-01-18 21:01:02 UTC
Created attachment 70716 [details] [review]
Bug 19946: Update popup window templates to use Bootstrap grid: Authority Z39.50 search

This patch updates the authority Z39.50 search template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Some capitalization corrections, better <title>
handling. This patch does not fix Bug 17119.

To test, apply the patch and go to Authorities -> New from Z39.50.
In the popup window, both the search form and search results pages
should look correct.

Signed-off-by: Te Rauhina Jackson <terauhina.jackson@gmail.com>

Signed-off-by: Te Rauhina Jackson <terauhina.jackson@gmail.com>
Comment 3 Katrin Fischer 2018-02-04 15:49:40 UTC
Created attachment 71204 [details] [review]
Bug 19946: Update popup window templates to use Bootstrap grid: Authority Z39.50 search

This patch updates the authority Z39.50 search template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Some capitalization corrections, better <title>
handling. This patch does not fix Bug 17119.

To test, apply the patch and go to Authorities -> New from Z39.50.
In the popup window, both the search form and search results pages
should look correct.

Signed-off-by: Te Rauhina Jackson <terauhina.jackson@gmail.com>

Signed-off-by: Te Rauhina Jackson <terauhina.jackson@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-08 17:21:12 UTC
Did not we agree that the action buttons should be grouped only if there are more than 2?

I also see this:
https://screenshots.firefox.com/jDHvackVDkBUUjlC/pro.kohadev.org
Comment 5 Jonathan Druart 2018-02-08 17:28:31 UTC
(In reply to Jonathan Druart from comment #4)
> Did not we agree that the action buttons should be grouped only if there are
> more than 2?

It is displayed when a row is clicked, so it is not valid here.
Comment 6 Owen Leonard 2018-02-09 13:21:35 UTC
Created attachment 71384 [details] [review]
Bug 19946: (Follow-up) Add fixed footer to authorities Z39.50 popup

This patch adds additional Bootstrap framework markup to the search form
so that the "Save" and "Cancel" controls are in a fixed footer at the
bottom of the window. This prevents the controls from disappearing down
off screen.

This patch also adds some whitespace to the "Author
(meeting/conference)" label to enable better word wrapping.

To test, apply the patch and go to Authorities -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.
Comment 7 Dilan Johnpullé 2018-03-26 00:19:08 UTC
Created attachment 73274 [details] [review]
Bug 19946: (Follow-up) Add fixed footer to authorities Z39.50 popup

This patch adds additional Bootstrap framework markup to the search form
so that the "Save" and "Cancel" controls are in a fixed footer at the
bottom of the window. This prevents the controls from disappearing down
off screen.

This patch also adds some whitespace to the "Author
(meeting/conference)" label to enable better word wrapping.

To test, apply the patch and go to Authorities -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.

Patch applies, form resizes, displays and functions as expected.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 8 Katrin Fischer 2018-03-26 05:21:28 UTC
Created attachment 73275 [details] [review]
Bug 19946: Update popup window templates to use Bootstrap grid: Authority Z39.50 search

This patch updates the authority Z39.50 search template to use the
Bootstrap grid instead of the YUI grid.

Also fixed: Some capitalization corrections, better <title>
handling. This patch does not fix Bug 17119.

To test, apply the patch and go to Authorities -> New from Z39.50.
In the popup window, both the search form and search results pages
should look correct.

Signed-off-by: Te Rauhina Jackson <terauhina.jackson@gmail.com>

Signed-off-by: Te Rauhina Jackson <terauhina.jackson@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2018-03-26 05:21:53 UTC
Created attachment 73276 [details] [review]
Bug 19946: (Follow-up) Add fixed footer to authorities Z39.50 popup

This patch adds additional Bootstrap framework markup to the search form
so that the "Save" and "Cancel" controls are in a fixed footer at the
bottom of the window. This prevents the controls from disappearing down
off screen.

This patch also adds some whitespace to the "Author
(meeting/conference)" label to enable better word wrapping.

To test, apply the patch and go to Authorities -> New from Z39.50/SRU.
In the popup window, both the search form and search results pages
should look correct.

Patch applies, form resizes, displays and functions as expected.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2018-03-26 20:36:36 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 11 Nick Clemens 2018-04-23 22:51:49 UTC
Awesome work all, enhancement, not backported for stable